{% use "bootstrap_4_layout.html.twig" %}

{%- block form_label -%}
    {% if label is not same as(false) -%}
        {%- if compound is defined and compound -%}
            {%- set element = 'legend' -%}
            {%- set label_attr = label_attr|merge({class: (label_attr.class|default('') ~ ' col-form-label')|trim}) -%}
        {%- else -%}
            {%- set label_attr = label_attr|merge({for: id}) -%}
        {%- endif -%}
        {% if required -%}
            {% set label_attr = label_attr|merge({class: (label_attr.class|default('') ~ ' required')|trim}) %}
        {%- endif -%}
        {% if label is empty -%}
            {%- if label_format is not empty -%}
                {% set label = label_format|replace({
                    '%name%': name,
                    '%id%': id,
                }) %}
            {%- else -%}
                {% set label = name|humanize %}
            {%- endif -%}
        {%- endif -%}
        <{{ element|default('label') }}{% if label_attr %}{% with { attr: label_attr } %}{{ block('attributes') }}{% endwith %}{% endif %}>{{ translation_domain is same as(false) ? label : label|trans({}, translation_domain) }}{% block form_label_errors %}{{- form_errors(form) -}}{% endblock form_label_errors %}{% if required %}
        <span class="text-danger" t>*</span>{% endif %}</{{ element|default('label') }}>
    {%- else -%}
        {%- if errors|length > 0 -%}
            <div id="{{ id }}_errors" class="mb-2">
                {{- form_errors(form) -}}
            </div>
        {%- endif -%}
    {%- endif -%}
{%- endblock form_label -%}


{%- block file_app_widget -%}
    <div class="custom-file">
        <input data-file="file" type="file" class="custom-file-input" {{ block('widget_attributes') }}>
        <div class="custom-file-label">
            {%- if attr.placeholder is defined -%}
                {{- attr.placeholder -}}
            {%- endif -%}
        </div>
    </div>
{%- endblock -%}

{%- block file_multi_app_widget -%}
    <div class="custom-file">
        <input data-file="file" type="file" class="custom-file-input" {{ block('widget_attributes') }}>
        <div class="custom-file-label">
            {%- if attr.placeholder is defined -%}
                {{- attr.placeholder -}}
            {%- endif -%}
        </div>
    </div>
{%- endblock -%}

{%- block date_time_app_widget -%}
    <div class="form-row">
        <div class="col-7">
            <input class="form-control" data-datepicker="date" type="text" {{ block('widget_attributes') }}>
        </div>
        <div class="col">
            <input type="time" class="form-control" {{ block('widget_attributes') }}>
        </div>
    </div>
{%- endblock -%}

{%- block date_interval_app_widget -%}
    <div class="form-row" {{ block('widget_container_attributes') }}>
        {%- if with_years -%}
            <div class="col-auto">
                {{ form_label(form.years) }}
                <input type="number" min="1900" max="" {{ block('widget_attributes') }}>
            </div>
        {%- endif -%}
        {%- if with_months -%}
            <div class="col-auto">
                {{ form_label(form.months) }}
                <input type="number" min="0" max="12" {{ block('widget_attributes') }}>
            </div>
        {%- endif -%}
        {%- if with_weeks -%}
            <div class="col-auto">
                {{ form_label(form.weeks) }}
                <input type="number" min="0" max="4" {{ block('widget_attributes') }}>
            </div>
        {%- endif -%}
        {%- if with_days -%}
            <div class="col-auto">
                {{ form_label(form.days) }}
                <input type="number" min="0" max="31" {{ block('widget_attributes') }}>
            </div>
        {%- endif -%}
        {%- if with_hours -%}
            <div class="col-auto">
                {{ form_label(form.hours) }}
                <input type="number" min="0" max="23" {{ block('widget_attributes') }}>
            </div>
        {%- endif -%}
        {%- if with_minutes -%}
            <div class="col-auto">
                {{ form_label(form.minutes) }}
                <input type="number" min="0" max="59" {{ block('widget_attributes') }}>
            </div>
        {%- endif -%}
        {%- if with_seconds -%}
            <div class="col-auto">
                {{ form_label(form.seconds) }}
                <input type="number" min="0" max="59" {{ block('widget_attributes') }}>
            </div>
        {%- endif -%}
        {%- if with_invert %}{{ form_widget(form.invert) }}{% endif -%}
    </div>
{%- endblock -%}

{%- block time_app_widget -%}
    <input class="form-control" type="time" {{ block('widget_attributes') }}>
{%- endblock -%}

{%- block email_app_widget -%}
        <div class="col-auto">
            <input class="form-control test" type="email" {{ block('widget_attributes') }}>
        </div>
        <div class="col-auto">
            <button type="button" btn-delete="email" class="btn btn-danger btn-sm">Supprimer</button>
        </div>
{%- endblock -%}


{%- block collection_email_app_widget -%}
    {{ form_start(form) }}
    <ul id="email-fields-list"
        data-prototype="{{ form_widget(form.vars.prototype)|e }}"
        data-widget-tags="{{ '<div class="form-row align-items-center"></div>'|e }}"
        data-widget-counter="{{ form.children|length }}">
        {% for emailField in form %}
            <div class="form-row">
                {{ form_errors(emailField) }}
                {{ form_widget(emailField) }}
            </div>
        {% endfor %}
    </ul>

    <button type="button"
            class="btn btn-primary btn-sm"
            data-add-field="email"
            data-list-selector="#email-fields-list">Ajouter un autre email
    </button>


    {{ form_end(form) }}
{%- endblock -%}
